package com.ecep.contract.cloud.rk.ctx;

import com.ecep.contract.cloud.rk.CloudRkService;
import org.springframework.beans.BeansException;

public interface CloudRkContext {
    <T> T getBean(Class<T> requiredType) throws BeansException;

    default CloudRkService getCloudRkService() {
        return getBean(CloudRkService.class);
    }
}
